* alloc.c: Add comment.
[bpt/emacs.git] / m4 / gl-comp.m4
CommitLineData
743c80a7
PE
1# DO NOT EDIT! GENERATED AUTOMATICALLY!
2# Copyright (C) 2002-2011 Free Software Foundation, Inc.
3#
316f8af0
PE
4# This file is free software; you can redistribute it and/or modify
5# it under the terms of the GNU General Public License as published by
6# the Free Software Foundation; either version 3 of the License, or
7# (at your option) any later version.
8#
9# This file is distributed in the hope that it will be useful,
10# but WITHOUT ANY WARRANTY; without even the implied warranty of
11# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
12# GNU General Public License for more details.
13#
14# You should have received a copy of the GNU General Public License
15# along with this file. If not, see <http://www.gnu.org/licenses/>.
16#
17# As a special exception to the GNU General Public License,
18# this file may be distributed as part of a program that
19# contains a configuration script generated by Autoconf, under
743c80a7
PE
20# the same distribution terms as the rest of that program.
21#
22# Generated by gnulib-tool.
23#
24# This file represents the compiled summary of the specification in
25# gnulib-cache.m4. It lists the computed macro invocations that need
26# to be invoked from configure.ac.
27# In projects that use version control, this file can be treated like
28# other built files.
29
30
31# This macro should be invoked from ./configure.in, in the section
32# "Checks for programs", right after AC_PROG_CC, and certainly before
33# any checks for libraries, header files, types and library functions.
34AC_DEFUN([gl_EARLY],
35[
36 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
37 m4_pattern_allow([^gl_ES$])dnl a valid locale name
38 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
39 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
7f59d9c8 40 AC_REQUIRE([gl_PROG_AR_RANLIB])
fa23e171 41 # Code from module alloca-opt:
7ec98caf 42 # Code from module allocator:
d1fdcab7 43 # Code from module careadlinkat:
942f733f 44 # Code from module crypto/md5:
13c3daa4 45 # Code from module crypto/sha1:
3ce9d0d4
LL
46 # Code from module crypto/sha256:
47 # Code from module crypto/sha512:
36f13e16 48 # Code from module dosname:
f737437b 49 # Code from module dtoastr:
7a7ef429 50 # Code from module dup2:
1fd182f0
PE
51 # Code from module extensions:
52 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
5fa4ac76 53 # Code from module filemode:
79ab4b7f 54 # Code from module getloadavg:
e275c824
PE
55 # Code from module getopt-gnu:
56 # Code from module getopt-posix:
57 # Code from module gettext-h:
67342916 58 # Code from module ignore-value:
1fd182f0 59 # Code from module include_next:
a451f14b 60 # Code from module intprops:
b6f5355a 61 # Code from module inttypes-incomplete:
54020294 62 # Code from module largefile:
7f59d9c8 63 AC_REQUIRE([AC_SYS_LARGEFILE])
ae0d7250 64 # Code from module lstat:
1fd182f0
PE
65 # Code from module mktime:
66 # Code from module multiarch:
24e0f6b1 67 # Code from module nocrash:
6db30f83 68 # Code from module pthread_sigmask:
ae0d7250 69 # Code from module readlink:
316f8af0 70 # Code from module signal-h:
2a84b02d 71 # Code from module sigprocmask:
24e0f6b1
PE
72 # Code from module snippet/_Noreturn:
73 # Code from module snippet/arg-nonnull:
74 # Code from module snippet/c++defs:
75 # Code from module snippet/warn-on-use:
401bf9b4 76 # Code from module socklen:
d1fdcab7 77 # Code from module ssize_t:
ae0d7250 78 # Code from module stat:
c378da0b
PE
79 # Code from module stdarg:
80 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
81 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
82 dnl AC_PROG_CC_STDC arranges for this. With older Autoconf AC_PROG_CC_STDC
83 dnl shouldn't hurt, though installers are on their own to set c99 mode.
84 AC_REQUIRE([AC_PROG_CC_STDC])
16c3e636 85 # Code from module stdbool:
1fd182f0 86 # Code from module stddef:
5f90be1b 87 # Code from module stdint:
77185bdf 88 # Code from module stdio:
79ab4b7f 89 # Code from module stdlib:
16c3e636 90 # Code from module strftime:
f6ce9b9a
PE
91 # Code from module strtoimax:
92 # Code from module strtoll:
b6f5355a 93 # Code from module strtoull:
a8a2bb29 94 # Code from module strtoumax:
ae0d7250 95 # Code from module symlink:
5fa4ac76 96 # Code from module sys_stat:
1fd182f0
PE
97 # Code from module time:
98 # Code from module time_r:
3ce9d0d4 99 # Code from module u64:
e275c824 100 # Code from module unistd:
a8a2bb29 101 # Code from module verify:
743c80a7
PE
102])
103
104# This macro should be invoked from ./configure.in, in the section
105# "Check for header files, types and library functions".
106AC_DEFUN([gl_INIT],
107[
108 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
109 gl_cond_libtool=false
110 gl_libdeps=
111 gl_ltlibdeps=
112 gl_m4_base='m4'
113 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
114 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
115 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
116 m4_pushdef([gl_LIBSOURCES_LIST], [])
117 m4_pushdef([gl_LIBSOURCES_DIR], [])
118 gl_COMMON
119 gl_source_base='lib'
fa23e171 120gl_FUNC_ALLOCA
19548d08
PE
121AC_CHECK_FUNCS_ONCE([readlinkat])
122gl_MD5
13c3daa4 123gl_SHA1
3ce9d0d4
LL
124gl_SHA256
125gl_SHA512
19548d08 126AC_REQUIRE([gl_C99_STRTOLD])
7a7ef429 127gl_FUNC_DUP2
54020294
PE
128if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
129 AC_LIBOBJ([dup2])
316f8af0 130 gl_PREREQ_DUP2
54020294 131fi
7a7ef429 132gl_UNISTD_MODULE_INDICATOR([dup2])
19548d08 133gl_FILEMODE
6a3e57bb 134gl_GETLOADAVG
8aeb5be9
PE
135if test $HAVE_GETLOADAVG = 0; then
136 AC_LIBOBJ([getloadavg])
137 gl_PREREQ_GETLOADAVG
138fi
19548d08
PE
139gl_STDLIB_MODULE_INDICATOR([getloadavg])
140gl_FUNC_GETOPT_GNU
8aeb5be9
PE
141if test $REPLACE_GETOPT = 1; then
142 AC_LIBOBJ([getopt])
143 AC_LIBOBJ([getopt1])
144 gl_PREREQ_GETOPT
145fi
19548d08
PE
146gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
147gl_FUNC_GETOPT_POSIX
8aeb5be9
PE
148if test $REPLACE_GETOPT = 1; then
149 AC_LIBOBJ([getopt])
150 AC_LIBOBJ([getopt1])
151 gl_PREREQ_GETOPT
152fi
19548d08
PE
153AC_REQUIRE([AC_C_INLINE])
154gl_INTTYPES_INCOMPLETE
155gl_FUNC_LSTAT
8aeb5be9
PE
156if test $REPLACE_LSTAT = 1; then
157 AC_LIBOBJ([lstat])
158 gl_PREREQ_LSTAT
159fi
19548d08
PE
160gl_SYS_STAT_MODULE_INDICATOR([lstat])
161gl_FUNC_MKTIME
8aeb5be9
PE
162if test $REPLACE_MKTIME = 1; then
163 AC_LIBOBJ([mktime])
164 gl_PREREQ_MKTIME
165fi
19548d08
PE
166gl_TIME_MODULE_INDICATOR([mktime])
167gl_MULTIARCH
2a84b02d
PE
168gl_FUNC_PTHREAD_SIGMASK
169if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
170 AC_LIBOBJ([pthread_sigmask])
24e0f6b1 171 gl_PREREQ_PTHREAD_SIGMASK
2a84b02d 172fi
6db30f83 173gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
19548d08 174gl_FUNC_READLINK
8aeb5be9
PE
175if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
176 AC_LIBOBJ([readlink])
177 gl_PREREQ_READLINK
178fi
19548d08 179gl_UNISTD_MODULE_INDICATOR([readlink])
6db30f83 180gl_SIGNAL_H
19548d08
PE
181gl_TYPE_SOCKLEN_T
182gt_TYPE_SSIZE_T
c378da0b 183gl_STDARG_H
19548d08
PE
184AM_STDBOOL_H
185gl_STDDEF_H
186gl_STDINT_H
187gl_STDIO_H
188gl_STDLIB_H
189gl_FUNC_GNU_STRFTIME
f6ce9b9a 190gl_FUNC_STRTOIMAX
7f59d9c8 191if test $ac_cv_func_strtoimax = no; then
f6ce9b9a
PE
192 AC_LIBOBJ([strtoimax])
193 gl_PREREQ_STRTOIMAX
194fi
195gl_INTTYPES_MODULE_INDICATOR([strtoimax])
19548d08 196gl_FUNC_STRTOUMAX
7f59d9c8 197if test $ac_cv_func_strtoumax = no; then
8aeb5be9
PE
198 AC_LIBOBJ([strtoumax])
199 gl_PREREQ_STRTOUMAX
200fi
19548d08
PE
201gl_INTTYPES_MODULE_INDICATOR([strtoumax])
202gl_FUNC_SYMLINK
8aeb5be9
PE
203if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
204 AC_LIBOBJ([symlink])
205fi
19548d08
PE
206gl_UNISTD_MODULE_INDICATOR([symlink])
207gl_HEADER_SYS_STAT_H
208AC_PROG_MKDIR_P
209gl_HEADER_TIME_H
210gl_TIME_R
8aeb5be9
PE
211if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
212 AC_LIBOBJ([time_r])
213 gl_PREREQ_TIME_R
214fi
19548d08 215gl_TIME_MODULE_INDICATOR([time_r])
3ce9d0d4 216AC_REQUIRE([AC_C_INLINE])
19548d08
PE
217gl_UNISTD_H
218 gl_gnulib_enabled_dosname=false
219 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
2a84b02d 220 gl_gnulib_enabled_sigprocmask=false
19548d08 221 gl_gnulib_enabled_stat=false
f6ce9b9a 222 gl_gnulib_enabled_strtoll=false
19548d08
PE
223 gl_gnulib_enabled_strtoull=false
224 gl_gnulib_enabled_verify=false
225 func_gl_gnulib_m4code_dosname ()
226 {
227 if ! $gl_gnulib_enabled_dosname; then
228 gl_gnulib_enabled_dosname=true
229 fi
230 }
231 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
232 {
233 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
234AC_SUBST([LIBINTL])
235AC_SUBST([LTLIBINTL])
236 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
237 fi
238 }
2a84b02d
PE
239 func_gl_gnulib_m4code_sigprocmask ()
240 {
241 if ! $gl_gnulib_enabled_sigprocmask; then
242gl_SIGNALBLOCKING
243if test $HAVE_POSIX_SIGNALBLOCKING = 0; then
244 AC_LIBOBJ([sigprocmask])
245 gl_PREREQ_SIGPROCMASK
246fi
247gl_SIGNAL_MODULE_INDICATOR([sigprocmask])
248 gl_gnulib_enabled_sigprocmask=true
316f8af0
PE
249 if $condition; then
250 func_gl_gnulib_m4code_raise
251 fi
252 if $condition; then
253 func_gl_gnulib_m4code_f691f076f650964c9f5598c3ee487616
254 fi
2a84b02d
PE
255 fi
256 }
19548d08
PE
257 func_gl_gnulib_m4code_stat ()
258 {
259 if ! $gl_gnulib_enabled_stat; then
260gl_FUNC_STAT
8aeb5be9
PE
261if test $REPLACE_STAT = 1; then
262 AC_LIBOBJ([stat])
263 gl_PREREQ_STAT
264fi
19548d08
PE
265gl_SYS_STAT_MODULE_INDICATOR([stat])
266 gl_gnulib_enabled_stat=true
267 if $condition; then
268 func_gl_gnulib_m4code_dosname
269 fi
316f8af0
PE
270 if $condition; then
271 func_gl_gnulib_m4code_pathmax
272 fi
6dd7e400
PE
273 if $condition; then
274 func_gl_gnulib_m4code_verify
275 fi
19548d08
PE
276 fi
277 }
f6ce9b9a
PE
278 func_gl_gnulib_m4code_strtoll ()
279 {
280 if ! $gl_gnulib_enabled_strtoll; then
281gl_FUNC_STRTOLL
282if test $HAVE_STRTOLL = 0; then
283 AC_LIBOBJ([strtoll])
284 gl_PREREQ_STRTOLL
285fi
286gl_STDLIB_MODULE_INDICATOR([strtoll])
287 gl_gnulib_enabled_strtoll=true
288 fi
289 }
19548d08
PE
290 func_gl_gnulib_m4code_strtoull ()
291 {
292 if ! $gl_gnulib_enabled_strtoull; then
293gl_FUNC_STRTOULL
8aeb5be9
PE
294if test $HAVE_STRTOULL = 0; then
295 AC_LIBOBJ([strtoull])
296 gl_PREREQ_STRTOULL
297fi
19548d08
PE
298gl_STDLIB_MODULE_INDICATOR([strtoull])
299 gl_gnulib_enabled_strtoull=true
300 fi
301 }
302 func_gl_gnulib_m4code_verify ()
303 {
304 if ! $gl_gnulib_enabled_verify; then
305 gl_gnulib_enabled_verify=true
306 fi
307 }
316f8af0
PE
308 if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
309 func_gl_gnulib_m4code_f691f076f650964c9f5598c3ee487616
310 fi
311 if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
312 func_gl_gnulib_m4code_676220fa4366efa9bdbfccf11a857c07
313 fi
8aeb5be9 314 if test $REPLACE_GETOPT = 1; then
19548d08
PE
315 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
316 fi
317 if test $REPLACE_LSTAT = 1; then
318 func_gl_gnulib_m4code_dosname
319 fi
320 if test $REPLACE_LSTAT = 1; then
321 func_gl_gnulib_m4code_stat
322 fi
2a84b02d 323 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
6db30f83
PE
324 func_gl_gnulib_m4code_sigprocmask
325 fi
19548d08
PE
326 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
327 func_gl_gnulib_m4code_stat
328 fi
7f59d9c8 329 if test $ac_cv_func_strtoimax = no; then
f6ce9b9a
PE
330 func_gl_gnulib_m4code_verify
331 fi
7f59d9c8 332 if test $ac_cv_func_strtoimax = no && test $ac_cv_type_long_long_int = yes; then
f6ce9b9a
PE
333 func_gl_gnulib_m4code_strtoll
334 fi
7f59d9c8 335 if test $ac_cv_func_strtoumax = no; then
19548d08
PE
336 func_gl_gnulib_m4code_verify
337 fi
7f59d9c8 338 if test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
19548d08
PE
339 func_gl_gnulib_m4code_strtoull
340 fi
341 m4_pattern_allow([^gl_GNULIB_ENABLED_])
342 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
343 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
2a84b02d 344 AM_CONDITIONAL([gl_GNULIB_ENABLED_sigprocmask], [$gl_gnulib_enabled_sigprocmask])
19548d08 345 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
f6ce9b9a 346 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
19548d08
PE
347 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
348 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
743c80a7
PE
349 # End of code from modules
350 m4_ifval(gl_LIBSOURCES_LIST, [
351 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
352 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
353 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
354 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
355 exit 1
356 fi
357 done])dnl
358 m4_if(m4_sysval, [0], [],
359 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
360 ])
361 m4_popdef([gl_LIBSOURCES_DIR])
362 m4_popdef([gl_LIBSOURCES_LIST])
363 m4_popdef([AC_LIBSOURCES])
364 m4_popdef([AC_REPLACE_FUNCS])
365 m4_popdef([AC_LIBOBJ])
366 AC_CONFIG_COMMANDS_PRE([
367 gl_libobjs=
368 gl_ltlibobjs=
369 if test -n "$gl_LIBOBJS"; then
370 # Remove the extension.
371 sed_drop_objext='s/\.o$//;s/\.obj$//'
372 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
373 gl_libobjs="$gl_libobjs $i.$ac_objext"
374 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
375 done
376 fi
377 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
378 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
379 ])
380 gltests_libdeps=
381 gltests_ltlibdeps=
382 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
383 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
384 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
385 m4_pushdef([gltests_LIBSOURCES_LIST], [])
386 m4_pushdef([gltests_LIBSOURCES_DIR], [])
387 gl_COMMON
388 gl_source_base='tests'
389changequote(,)dnl
390 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
391changequote([, ])dnl
392 AC_SUBST([gltests_WITNESS])
393 gl_module_indicator_condition=$gltests_WITNESS
394 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
19548d08 395 m4_pattern_allow([^gl_GNULIB_ENABLED_])
743c80a7
PE
396 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
397 m4_ifval(gltests_LIBSOURCES_LIST, [
398 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
399 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
400 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
401 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
402 exit 1
403 fi
404 done])dnl
405 m4_if(m4_sysval, [0], [],
406 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
407 ])
408 m4_popdef([gltests_LIBSOURCES_DIR])
409 m4_popdef([gltests_LIBSOURCES_LIST])
410 m4_popdef([AC_LIBSOURCES])
411 m4_popdef([AC_REPLACE_FUNCS])
412 m4_popdef([AC_LIBOBJ])
413 AC_CONFIG_COMMANDS_PRE([
414 gltests_libobjs=
415 gltests_ltlibobjs=
416 if test -n "$gltests_LIBOBJS"; then
417 # Remove the extension.
418 sed_drop_objext='s/\.o$//;s/\.obj$//'
419 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
420 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
421 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
422 done
423 fi
424 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
425 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
426 ])
427 LIBGNU_LIBDEPS="$gl_libdeps"
428 AC_SUBST([LIBGNU_LIBDEPS])
429 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
430 AC_SUBST([LIBGNU_LTLIBDEPS])
431])
432
433# Like AC_LIBOBJ, except that the module name goes
434# into gl_LIBOBJS instead of into LIBOBJS.
435AC_DEFUN([gl_LIBOBJ], [
436 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
437 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
438])
439
440# Like AC_REPLACE_FUNCS, except that the module name goes
441# into gl_LIBOBJS instead of into LIBOBJS.
442AC_DEFUN([gl_REPLACE_FUNCS], [
443 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
444 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
445])
446
447# Like AC_LIBSOURCES, except the directory where the source file is
448# expected is derived from the gnulib-tool parameterization,
449# and alloca is special cased (for the alloca-opt module).
450# We could also entirely rely on EXTRA_lib..._SOURCES.
451AC_DEFUN([gl_LIBSOURCES], [
452 m4_foreach([_gl_NAME], [$1], [
453 m4_if(_gl_NAME, [alloca.c], [], [
454 m4_define([gl_LIBSOURCES_DIR], [lib])
455 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
456 ])
457 ])
458])
459
460# Like AC_LIBOBJ, except that the module name goes
461# into gltests_LIBOBJS instead of into LIBOBJS.
462AC_DEFUN([gltests_LIBOBJ], [
463 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
464 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
465])
466
467# Like AC_REPLACE_FUNCS, except that the module name goes
468# into gltests_LIBOBJS instead of into LIBOBJS.
469AC_DEFUN([gltests_REPLACE_FUNCS], [
470 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
471 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
472])
473
474# Like AC_LIBSOURCES, except the directory where the source file is
475# expected is derived from the gnulib-tool parameterization,
476# and alloca is special cased (for the alloca-opt module).
477# We could also entirely rely on EXTRA_lib..._SOURCES.
478AC_DEFUN([gltests_LIBSOURCES], [
479 m4_foreach([_gl_NAME], [$1], [
480 m4_if(_gl_NAME, [alloca.c], [], [
481 m4_define([gltests_LIBSOURCES_DIR], [tests])
482 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
483 ])
484 ])
485])
486
487# This macro records the list of files which have been installed by
488# gnulib-tool and may be removed by future gnulib-tool invocations.
489AC_DEFUN([gl_FILE_LIST], [
24e0f6b1
PE
490 build-aux/snippet/_Noreturn.h
491 build-aux/snippet/arg-nonnull.h
492 build-aux/snippet/c++defs.h
493 build-aux/snippet/warn-on-use.h
fa23e171 494 lib/alloca.in.h
7ec98caf 495 lib/allocator.c
d1fdcab7
PE
496 lib/allocator.h
497 lib/careadlinkat.c
498 lib/careadlinkat.h
36f13e16 499 lib/dosname.h
a451f14b 500 lib/dtoastr.c
7a7ef429 501 lib/dup2.c
5fa4ac76
PE
502 lib/filemode.c
503 lib/filemode.h
a451f14b
PE
504 lib/ftoastr.c
505 lib/ftoastr.h
79ab4b7f 506 lib/getloadavg.c
e275c824
PE
507 lib/getopt.c
508 lib/getopt.in.h
509 lib/getopt1.c
510 lib/getopt_int.h
511 lib/gettext.h
67342916 512 lib/ignore-value.h
a451f14b 513 lib/intprops.h
a8a2bb29 514 lib/inttypes.in.h
ae0d7250 515 lib/lstat.c
942f733f
PE
516 lib/md5.c
517 lib/md5.h
1fd182f0
PE
518 lib/mktime-internal.h
519 lib/mktime.c
2a84b02d 520 lib/pthread_sigmask.c
ae0d7250 521 lib/readlink.c
13c3daa4
LL
522 lib/sha1.c
523 lib/sha1.h
3ce9d0d4
LL
524 lib/sha256.c
525 lib/sha256.h
526 lib/sha512.c
527 lib/sha512.h
6db30f83 528 lib/signal.in.h
2a84b02d 529 lib/sigprocmask.c
ae0d7250 530 lib/stat.c
c378da0b 531 lib/stdarg.in.h
16c3e636 532 lib/stdbool.in.h
1fd182f0 533 lib/stddef.in.h
5f90be1b 534 lib/stdint.in.h
77185bdf 535 lib/stdio.in.h
79ab4b7f 536 lib/stdlib.in.h
16c3e636
PE
537 lib/strftime.c
538 lib/strftime.h
a8a2bb29
PE
539 lib/strtoimax.c
540 lib/strtol.c
f6ce9b9a 541 lib/strtoll.c
a8a2bb29
PE
542 lib/strtoul.c
543 lib/strtoull.c
544 lib/strtoumax.c
ae0d7250 545 lib/symlink.c
5fa4ac76 546 lib/sys_stat.in.h
1fd182f0
PE
547 lib/time.in.h
548 lib/time_r.c
3ce9d0d4 549 lib/u64.h
e275c824 550 lib/unistd.in.h
a8a2bb29 551 lib/verify.h
743c80a7 552 m4/00gnulib.m4
fa23e171 553 m4/alloca.m4
a451f14b 554 m4/c-strtod.m4
7a7ef429 555 m4/dup2.m4
1fd182f0 556 m4/extensions.m4
5fa4ac76 557 m4/filemode.m4
79ab4b7f 558 m4/getloadavg.m4
e275c824 559 m4/getopt.m4
743c80a7 560 m4/gnulib-common.m4
1fd182f0 561 m4/include_next.m4
a8a2bb29 562 m4/inttypes.m4
54020294 563 m4/largefile.m4
5f90be1b 564 m4/longlong.m4
ae0d7250 565 m4/lstat.m4
942f733f 566 m4/md5.m4
1fd182f0
PE
567 m4/mktime.m4
568 m4/multiarch.m4
24e0f6b1 569 m4/nocrash.m4
6db30f83 570 m4/pthread_sigmask.m4
ae0d7250 571 m4/readlink.m4
13c3daa4 572 m4/sha1.m4
3ce9d0d4
LL
573 m4/sha256.m4
574 m4/sha512.m4
6db30f83 575 m4/signal_h.m4
2a84b02d 576 m4/signalblocking.m4
401bf9b4 577 m4/socklen.m4
d1fdcab7 578 m4/ssize_t.m4
5fa4ac76 579 m4/st_dm_mode.m4
ae0d7250 580 m4/stat.m4
c378da0b 581 m4/stdarg.m4
16c3e636 582 m4/stdbool.m4
1fd182f0 583 m4/stddef_h.m4
5f90be1b 584 m4/stdint.m4
77185bdf 585 m4/stdio_h.m4
79ab4b7f 586 m4/stdlib_h.m4
16c3e636 587 m4/strftime.m4
f6ce9b9a
PE
588 m4/strtoimax.m4
589 m4/strtoll.m4
a8a2bb29
PE
590 m4/strtoull.m4
591 m4/strtoumax.m4
ae0d7250 592 m4/symlink.m4
5fa4ac76 593 m4/sys_stat_h.m4
1fd182f0
PE
594 m4/time_h.m4
595 m4/time_r.m4
16c3e636 596 m4/tm_gmtoff.m4
e275c824 597 m4/unistd_h.m4
1fd182f0
PE
598 m4/warn-on-use.m4
599 m4/wchar_t.m4
743c80a7 600])